from SWSCloudCore import models

__author__ = 'vanzhiganov'


class ControllerManageDatacenters:
    def __init__(self):
        pass

    def item_get(self, datacenter_id):
        return models.DataCenters.select().where(models.DataCenters.id == datacenter_id).limit(1)[0]

    def items_get(self):
        results = {
            'total': models.DataCenters.select().count(),
            'items': []
        }

        if results['total'] > 0:
            for i in models.DataCenters.select():
                # results['items'].append({i})
                results['items'].append({
                    'id': i.id,
                    'code': i.code,
                    'name': i.name,
                    'country': i.country,
                    'city': i.city,
                    'status': i.status,
                })
        return results

    def check_exists(self, datacenter_id):
        if models.DataCenters.select().where(models.DataCenters.id == datacenter_id).count() == 0:
            return False
        return True
