from SWSCloudCore import models

__author__ = 'vanzhiganov'


class ControllerManageServer:
    def item_create(self, datacenter_id, server_id, secret, hostname, ipv4, ipv6, status):
        models.Servers.create(
            id=server_id,
            hostname=hostname,
            ip=ipv4,
            # ipv6=ipv6,
            datacenter=datacenter_id,
            secret=secret,
            status=status
        )
        return True

    def items_get(self):
        return {
            'total': models.Servers.select().count(),
            'items': models.Servers.select()
        }

    def check_exists(self, ipv4, ipv6, hostname):
        if models.Servers.select().where(
                (models.Servers.ip == ipv4) |
                (models.Servers.hostname == hostname)
        ).count() == 0:
            return False
        return True
