# coding: utf-8

from SWSCloudCore import models
from . import ControllerUsersDetails


class ControllerManageUsers:
    def __init__(self):
        pass

    def exists_by_id(self, user_id):
        if models.Users.select().where(models.Users.id == user_id).count() == 0:
            return False
        return True

    def exists_by_email(self, email):
        if models.Users.select().where(models.Users.email == email).count() == 0:
            return False
        return True

    def items_get(self):
        """
        формируем массив со списком пользователей
        :return:
        """
        from peewee import JOIN_LEFT_OUTER, JOIN_INNER, JOIN_FULL

        jj = models.Users.select(
                models.UsersBalance.balance.alias('balance'),
                models.Users.id,
                models.Users.email,
                models.Users.created,
                models.Users.status,
            ).join(
                models.UsersBalance
            )
        for j in jj:
            print j.usersbalance.balance
        return {
            'total': len(jj),
            'items': jj
        }

    def item_get(self, user_id):
        return models.Users.select().where(models.Users.id == user_id).get()


class ControllerManageUsersDetails:
    def exists(self, user_id):
        if models.UsersDetails.select().where(models.UsersDetails.user == user_id).count() == 0:
            return False
        return True

    def item_get(self, user_id):
        users_details = ControllerUsersDetails(user_id)
        if not users_details.details_exists():
            users_details.details_create()
        return models.UsersDetails.select().where(models.UsersDetails.user == user_id)[0]


class ControllerManageUsersBalance:
    def exists(self, user_id):
        if models.UsersBalance.select().where(models.UsersBalance.user == user_id).count() == 0:
            return False
        return True

    def item_get(self, user_id):
        return models.UsersBalance.select().where(models.UsersBalance.user == user_id)[0]
