# coding: utf-8

from SWSCloudCore.controllers.common import ControllerMessagesEmail
from flask import Blueprint
from flask import g
from flask import redirect
from flask import render_template
from flask import request
from flask import url_for

viewSupport = Blueprint('support', __name__, url_prefix='/support')


@viewSupport.route('/', methods=['GET', 'POST'])
def index():
    # ControllerMessagesEmail().send()
    # print session

    if request.method == "POST":
        print request.form
        # TODO: validate
        ticket_title = request.form['title']
        ticket_message = request.form['message']
        ticket_email = request.form['email']

        # send mail message with recovery code
        subject = ticket_title
        message = ticket_message
        lead = u'Отправитель: %s' % ticket_email
        callout = u''

        email = ControllerMessagesEmail()
        # email.send(title=subject, to=ticket_email, lead=lead, message=message, callout=callout)
        email.send(title=subject, to=g.settings['contacts.email'], lead=lead, message=message, callout=callout)

        return redirect(url_for('support.thank'))
    return render_template('default/support/index.html')


@viewSupport.route('/thank')
def thank():
    return render_template('default/support/thank.html')
