#!/usr/bin/env python
# coding: utf-8

from SWSCloudCore import models


tables = [
    models.DataCenters,
    models.Servers,
    models.ServersSettings,
    models.Ips,
    models.Users,
    models.UsersRecoveryCodes,
    models.UsersSecrets,
    models.UsersDetails,
    models.UsersBalance,
    models.UsersBalanceTransactions,
    models.SSHKeys,
    models.Containers,
    models.ContainersStatistics,
    models.ContainersStatisticsState,
    models.PlansVMs,
    models.Vms,
    models.Tasks,
    models.Settings,
    models.Admins,
    models.Notifications,
    models.NotificationsSecurity,
]

models.database.connect()
models.database.create_tables(tables, safe=True)
models.database.close()
