#!/usr/bin/env python

import argparse

from SWSCloudCore import models
from SWSCloudCore.controllers import ControllerManageIPs

parser = argparse.ArgumentParser(description='')
parser.add_argument('--dc', dest="datacenter")
parser.add_argument('--server', dest="server")
parser.add_argument('--ipv4', dest="ipv4", default='')
parser.add_argument('--ipv4_gateway', dest="ipv4_gateway", default='')
parser.add_argument('--ipv6', dest="ipv6", default='')
parser.add_argument('--ipv6_gateway', dest="ipv6_gateway", default='')
parser.add_argument('--status', dest="status")

args = parser.parse_args()

success = True

if args.ipv4 != '' and models.Ips.select().where(models.Ips.ipv4 == args.ipv4).count() > 0:
    success = False

if args.ipv6 != '' and models.Ips.select().where(models.Ips.ipv4 == args.ipv6).count() > 0:
    success = False


if success:
    ControllerManageIPs().item_create(
            args.datacenter, args.server, args.ipv4, args.ipv4_gateway, args.ipv6, args.ipv6_gateway, args.status
    )
else:
    print 'fail'
    # print "Admin account with email '%s' already exists." % args
