#!/usr/bin/env python
import argparse

from SWSCloudCore import models

parser = argparse.ArgumentParser(description='')
parser.add_argument('--status', dest="status", default='1')

args = parser.parse_args()

total = models.Servers.select().where(
    models.Servers.status == args.status
).count()

items = models.Servers.select().where(
    models.Servers.status == args.status
)

print 'total: %s' % total
print 'items: '

for item in items:
    print 'id: %s dc: %s status: %s ip: %s hostname: %s' % (
        item.id, item.datacenter.id, item.status, item.ip, item.hostname
    )
