# coding: utf-8

from SWSCloudCore import models


class ControllerIps:
    def __init__(self):
        pass

    def getfree(self, datacenter_id):
        # select IP
        return models.Ips.select().join(models.Servers).where(
            models.Ips.datacenter == datacenter_id,
            models.Servers.status == 1,
            models.Ips.status == 0
        ).first()

    def setbusy(self, ip_id):
        # mark ip as busy (taken)
        up = models.Ips.update(status=1).where(models.Ips.id == ip_id)
        up.execute()
        return True

    def setfree(self, ip_id):
        # mark ip as busy (taken)
        up = models.Ips.update(status=0).where(models.Ips.id == ip_id)
        up.execute()
        return True
