from SWSCloudCore.controllers.tasks import ControllerTasks
from flask import render_template, session, redirect, url_for, Blueprint

from SWSCloudCore.controllers.users import ControllerUsers

viewTasks = Blueprint('tasks', __name__, url_prefix='/tasks')


@viewTasks.route('/')
def index():
    # auth user
    if not ControllerUsers().auth(session['email'], session['password']):
        return redirect(url_for("app_id_logout"))

    return render_template(
        'default/tasks/index.html',
        tasks=ControllerTasks(session['user_id']).get()
    )
