#!/usr/bin/env python

import argparse
from uuid import uuid4

from SWSCloudCore import models

parser = argparse.ArgumentParser(description='')
parser.add_argument('--code', dest="code")
parser.add_argument('--name', dest="name")
parser.add_argument('--country', dest="country")
parser.add_argument('--city', dest="city")
parser.add_argument('--status', dest="status")

args = parser.parse_args()

dc_id = uuid4()

if models.DataCenters.select().where(
                models.DataCenters.code == args.code
).count() == 0:
    models.DataCenters.create(
        id=dc_id,
        code=args.code,
        name=args.name,
        country=args.country,
        city=args.city,
        status=1
    )
else:
    print "Data center with code '%s' already exists." % args.code
