#!/usr/bin/env python

import argparse

from SWSCloudCore import models

parser = argparse.ArgumentParser(description='')
parser.add_argument('--status', dest="status", default='1')

args = parser.parse_args()

total = models.DataCenters.select().where(
    models.DataCenters.status == args.status
).count()

items = models.DataCenters.select().where(
    models.DataCenters.status == args.status
)


x = models.Ips.select().join(models.Servers).where(
    models.Ips.datacenter == '268e0fa6-6be2-4a38-9be6-3aef43066716',
    models.Servers.status == 1,
    models.Ips.status == 0,
).first()


print 'total: %s' % total
print 'items: '

for item in items:
    print 'id: %s code: %s name: %s country: %s, city: %s, status: %s' % (
        item.id, item.code, item.name, item.country, item.city, item.status
    )

print '---'
print 'if you want to add a new data center, use cli-dc-add.py --'
